Subject: Re: OSPFv3 Traffic Engineering TLVs and TE Node Address TLV

From: "Naidu, Venkata" <[email-masked]>
Date: Fri, 13 Feb 2004 17:48:25 -0500

-> The Node Address TLV is intended to carry local addresses,
-> that are not
-> otherwise advertised in OSPF TE (router ID, TE links, Router IPv6
-> Address). This can be clarified further in
-> draft-raggarwa-ospf-te-node-addr-00.txt. Will that suffice ?

  If possible, can you please look at my previous question ?

http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0311&L=ospf&T=0&F=&S=&P=732

Venkata.

---

From: Rahul Aggarwal <[email-masked]>
Date: Fri, 13 Feb 2004 15:12:43 -0800

Hi Venkata,

Sorry, I missed your previous email. The question was:

>In other words, why is Router LSA stub info not *sufficient*
> to learn all local addresses (if we enable active/passive
> OSPF routing over all those interfaces) ?

It doesn't cover all the cases, in particular a P2P interface. For a P2P
interface, as per RFC 2328:
    - If subnetted P2P: Link ID: subnet, Link Data: mask, Cost: Intf Cost

This is not sufficient to add the local intf address of the advertising
router, needed by TED.

    - If not subnetted P2P and nbr, LID: nbr address, LData: 0xffffffff,
      Cost: Intf Cost

Same problem as above. Thanks for the comment. We can clarify this in the
draft.

rahul